org.red5.compatibility.flex.messaging.messages

## Interface Message

All Known Implementing Classes:
  AbstractMessage, AcknowledgeMessage, AcknowledgeMessageExt, AsyncMessage, AsyncMessageExt, AuthenticationMessage, CommandMessage, CommandMessageExt, DataMessage, ErrorMessage, RemotingMessage, SequencedMessage

    public interface Message

### Field Summary

Fields
`static String` `DESTINATION_CLIENT_ID_HEADER`
`static String` `ENDPOINT_HEADER`
`static String` `FLEX_CLIENT_ID_HEADER`
`static String` `MESSAGING_VERSION`
`static String` `NEEDS_CONFIG_HEADER`
`static String` `POLL_WAIT_HEADER`
`static String` `PRESERVE_DURABLE_HEADER`
`static String` `REMOTE_CREDENTIALS_HEADER`
`static String` `REMOVE_SUBSCRIPTIONS`
`static String` `SELECTOR_HEADER`
`static String` `SUBSCRIPTION_INVALIDATED_HEADER`
`static String` `SUBTOPIC_SEPARATOR`
`static String` `SYNC_HEADER`

### Method Summary

Methods
`Object` `getBody()` Returns the body of the message.
`String` `getClientId()` Returns the client id indicating the client that sent the message.
`String` `getDestination()` Returns the destination that the message targets.
`Object` `getHeader(String name)` Returns a header value corresponding to the passed header name.
`Map<String,Object>` `getHeaders()` Returns the headers for the message.
`String` `getMessageId()` Returns the unique message id.
`long` `getTimestamp()` Returns the timestamp for the message.
`long` `getTimeToLive()` Returns the time to live for the message.
`boolean` `headerExists(String name)` Tests whether a header with the passed name exists.
`void` `setBody(Object value)` Sets the body of the message.
`void` `setClientId(String value)` Sets the client id indicating the client that sent the message.
`void` `setDestination(String value)` Sets the destination that the message targets.
`void` `setHeader(String name, Object value)` Sets a header on the message.
`void` `setHeaders(Map<String,Object> value)` Sets the headers for the message.
`void` `setMessageId(String value)` Sets the unique message id.
`void` `setTimestamp(long value)` Sets the timestamp for the message.
`void` `setTimeToLive(long value)` Sets the time to live for the message.

### Field Detail

#### NEEDS_CONFIG_HEADER

    static final String NEEDS_CONFIG_HEADER

See Also:
  Constant Field Values

#### POLL_WAIT_HEADER

    static final String POLL_WAIT_HEADER

See Also:
  Constant Field Values

#### PRESERVE_DURABLE_HEADER

    static final String PRESERVE_DURABLE_HEADER

See Also:
  Constant Field Values

#### REMOVE_SUBSCRIPTIONS

    static final String REMOVE_SUBSCRIPTIONS

See Also:
  Constant Field Values

#### SELECTOR_HEADER

    static final String SELECTOR_HEADER

See Also:
  Constant Field Values

#### SUBSCRIPTION_INVALIDATED_HEADER

    static final String SUBSCRIPTION_INVALIDATED_HEADER

See Also:
  Constant Field Values

#### SUBTOPIC_SEPARATOR

    static final String SUBTOPIC_SEPARATOR

See Also:
  Constant Field Values

#### MESSAGING_VERSION

    static final String MESSAGING_VERSION

See Also:
  Constant Field Values

#### DESTINATION_CLIENT_ID_HEADER

    static final String DESTINATION_CLIENT_ID_HEADER

See Also:
  Constant Field Values

#### ENDPOINT_HEADER

    static final String ENDPOINT_HEADER

See Also:
  Constant Field Values

#### FLEX_CLIENT_ID_HEADER

    static final String FLEX_CLIENT_ID_HEADER

See Also:
  Constant Field Values

#### REMOTE_CREDENTIALS_HEADER

    static final String REMOTE_CREDENTIALS_HEADER

See Also:
  Constant Field Values

#### SYNC_HEADER

    static final String SYNC_HEADER

See Also:
  Constant Field Values

### Method Detail

#### getBody

    Object getBody()

Returns the body of the message.

Returns:
  message body

#### getClientId

    String getClientId()

Returns the client id indicating the client that sent the message.

Returns:
  client id

#### getDestination

    String getDestination()

Returns the destination that the message targets.

Returns:
  destination

#### getHeader

    Object getHeader(String name)

Returns a header value corresponding to the passed header name.

Parameters:
  `name` -
Returns:
  header value

#### getHeaders

    Map<String,Object> getHeaders()

Returns the headers for the message.

Returns:
  headers

#### getMessageId

    String getMessageId()

Returns the unique message id.

Returns:
  message id

#### getTimestamp

    long getTimestamp()

Returns the timestamp for the message.

Returns:
  timestamp

#### getTimeToLive

    long getTimeToLive()

Returns the time to live for the message.

Returns:
  time to live

#### headerExists

    boolean headerExists(String name)

Tests whether a header with the passed name exists.

Parameters:
  `name` -
Returns:
  true if header exists, false otherwise

#### setBody

    void setBody(Object value)

Sets the body of the message.

Parameters:
  `value` -

#### setClientId

    void setClientId(String value)

Sets the client id indicating the client that sent the message.

Parameters:
  `value` -

#### setDestination

    void setDestination(String value)

Sets the destination that the message targets.

Parameters:
  `value` -

#### setHeader

    void setHeader(String name,
                 Object value)

Sets a header on the message.

Parameters:
  `name` -
  `value` -

#### setHeaders

    void setHeaders(Map<String,Object> value)

Sets the headers for the message.

Parameters:
  `value` -

#### setMessageId

    void setMessageId(String value)

Sets the unique message id.

Parameters:
  `value` -

#### setTimestamp

    void setTimestamp(long value)

Sets the timestamp for the message.

Parameters:
  `value` -

#### setTimeToLive

    void setTimeToLive(long value)

Sets the time to live for the message.

Parameters:
  `value` -